MPI_Cartdim_get(3OpenMPI)

NAME
MPI_Cartdim_get - Retrieves Cartesian topology information associated with a communicator.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Cartdim_get(MPI_Comm comm, int *ndims)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_CARTDIM_GET(COMM, NDIMS, IERROR)
	INTEGER	COMM, NDIMS, IERROR

C++ Syntax
#include <mpi.h>
int Cartcomm::Get_dim() const

INPUT PARAMETER

comm
    Communicator with Cartesian structure (handle).

OUTPUT PARAMETERS

ndims
    Number of dimensions of the Cartesian structure (integer).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Cartdim_get returns the number of dimensions of the Cartesian structure.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Cart_get
MPI_Cart_create